// ClientList.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CClientList form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CClientList : public CFormView
{
protected:
	CClientList();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CClientList)

// Form Data
public:
	//{{AFX_DATA(CClientList)
	enum { IDD = IDD_DIALOG_CLIENTS };
	CButton	m_BtEdit;
	CButton	m_BtDelete;
	CListCtrl	m_ListClients;
	//}}AFX_DATA

// Attributes
public:
	short		QueryId;
	BOOL		SeekQuery;
	int			CurrentItem;
	WORD		UpdateCount;
	LONG		JumpCurrentRecordId;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClientList)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CClientList();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CClientList)
	afx_msg void OnRadioCity();
	afx_msg void OnRadioComp();
	afx_msg void OnRadioId();
	afx_msg void OnRadioName();
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonDelete();
	afx_msg void OnButtonEdit();
	afx_msg void OnButtonClose();
	afx_msg void OnGetdispinfoListClients(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnItemchangingListClients(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
